<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__uart__macros__tx__fifo__status" kind="group">
    <compoundname>group_scb_uart_macros_tx_fifo_status</compoundname>
    <title>UART TX FIFO Statuses</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__uart__macros__tx__fifo__status_1ga084f44adc0f1fba7bc8cc63f46c8a3e6" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TX_TRIGGER</name>
        <initializer>(SCB_INTR_TX_TRIGGER_Msk)</initializer>
        <briefdescription>
<para>The number of entries in the TX FIFO is less than the TX FIFO trigger level value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="738" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="738" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__tx__fifo__status_1ga41c603d23a12693b3b83ece75da39b54" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TX_NOT_FULL</name>
        <initializer>(SCB_INTR_TX_NOT_FULL_Msk)</initializer>
        <briefdescription>
<para>The TX FIFO is not full, there is a space for more data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="741" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="741" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__tx__fifo__status_1gafb9a349f995e46583edd9cdc16efc0af" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TX_EMPTY</name>
        <initializer>(SCB_INTR_TX_EMPTY_Msk)</initializer>
        <briefdescription>
<para>The TX FIFO is empty, note there may still be data in the shift register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="744" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="744" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__tx__fifo__status_1ga5a3ee0ae5c71bb071aa99607dc9a456a" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TX_OVERFLOW</name>
        <initializer>(SCB_INTR_TX_OVERFLOW_Msk)</initializer>
        <briefdescription>
<para>An attempt to write to the full TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="747" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="747" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__tx__fifo__status_1ga3107a2948b2bff6d81c9eb7f51f2a4d4" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TX_UNDERFLOW</name>
        <initializer>(SCB_INTR_TX_UNDERFLOW_Msk)</initializer>
        <briefdescription>
<para>An attempt to read from an empty transmitter FIFO (hardware reads). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="750" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="750" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__tx__fifo__status_1ga84d057ed47751c69902a762585ba4838" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TX_DONE</name>
        <initializer>(SCB_INTR_TX_UART_DONE_Msk)</initializer>
        <briefdescription>
<para>All data has been transmitted out of the FIFO, including shifter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="753" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="753" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__tx__fifo__status_1gab629bcb723aafa472383c9dd24d2e492" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TX_NACK</name>
        <initializer>(SCB_INTR_TX_UART_NACK_Msk)</initializer>
        <briefdescription>
<para>SmartCard only: the transmitter received a NACK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="756" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="756" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__tx__fifo__status_1gaf463f453c30885d0bd6ae52744bb1449" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TX_ARB_LOST</name>
        <initializer>(SCB_INTR_TX_UART_ARB_LOST_Msk)</initializer>
        <briefdescription>
<para>SmartCard only: the transmitter lost arbitration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="759" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="759" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check UART TX FIFO status returned by <ref kindref="member" refid="group__group__scb__uart__low__level__functions_1ga76218bc016256d8525c9d779a4c2e9aa">Cy_SCB_UART_GetTxFifoStatus</ref> function or assign mask for <ref kindref="member" refid="group__group__scb__uart__low__level__functions_1gabd4607b147b35fbd9c47e89f77aa1f89">Cy_SCB_UART_ClearTxFifoStatus</ref> function. </para>    </briefdescription>
    <detaileddescription>
<para>Each UART TX FIFO status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>    </detaileddescription>
  </compounddef>
</doxygen>